Name:           lastpass-cli
Version:        1.3.5
Release:        1%{?dist}
Summary:        Command line interface to LastPass.com

License:        GPLv2+ with exceptions and OpenSSL
URL:            https://github.com/LastPass/lastpass-cli
Source:         %url/archive/v%{version}/lastpass-cli-%{version}.tar.gz
# https://github.com/lastpass/lastpass-cli/pull/535
Patch1:         0001-Mark-global-variable-as-extern.patch

BuildRequires:  asciidoc
BuildRequires:  cmake3
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libcurl-devel
BuildRequires:  libxml2-devel
BuildRequires:  make
BuildRequires:  openssl-devel
Requires:       pinentry
Requires:       xclip

%description
A command line interface to LastPass.com.

%prep
%autosetup -p1

%build
%cmake3
%cmake3_build --target lpass doc-man doc-html

%install
export DESTDIR=%{buildroot}
%cmake3_build --target install-doc
%cmake3_install

# Install shell completions
install -Dpm0644 contrib/lpass_bash_completion \
    %{buildroot}%{bash_completions_dir}/lpass-completion.bash
install -Dpm0644 contrib/completions-lpass.fish \
    %{buildroot}%{fish_completions_dir}/lpass.fish
install -Dpm0644 contrib/lpass_zsh_completion \
    %{buildroot}%{zsh_completions_dir}/_lpass

%files
%license COPYING LICENSE.OpenSSL
%doc CHANGELOG.md CONTRIBUTING README.md
%doc contrib/examples lpass.1.html
%{_bindir}/lpass
%{_mandir}/man1/lpass.1*
%dir %{bash_completions_dir}
%{bash_completions_dir}/lpass-completion.bash
%dir %{fish_completions_dir}
%{fish_completions_dir}/lpass.fish
%dir %{zsh_completions_dir}
%{zsh_completions_dir}/_lpass

%changelog
* Fri Sep 01 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.5-1
- Update to version 1.3.5

* Mon Jul 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-1
- Update to version 1.3.1
- Add fish and zsh completions
- Fix #1583717, #1579473, #1459717
- Thanks to Ventz Petkov and Edward J. Huff for their contribution

* Mon Jan 04 2016 Tom Prince - 0.8.1-1
- Update to 0.8.1.  This update adds pinning of LastPass public keys, in
  preparation for certificate changes at lastpass.com. Upgrade will be needed
  to avoid "Peer certificate cannot be authenticated with given CA
  certificates" errors when the cert changes are made.

* Mon Jan 04 2016 Tom Prince - 0.8.0-1
- Version number bump
- Install bash completions

* Thu Dec 24 2015 Tom Prince - 0.7.0-3
- Remove xclip dependency for EPEL.

* Sun Dec 6 2015 Tom Prince - 0.7.0-2
- Address review comments.

* Mon Nov 16 2015 Tom Prince - 0.7.0-1
- Version number bump

* Wed Oct 7 2015 Tom Prince - 0.6.0-1
- Version number bump

* Tue Dec 30 2014 Rohan Ferris - 0.4.0-2
- Include asciidoc

* Tue Dec 30 2014 Rohan Ferris - 0.4.0-1
- Version number bump

* Fri Nov  7 2014 Rohan Ferris
- Initial packaging.
